## org.apache.myfaces.taglib.html
Class HtmlGraphicImageTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.taglib.html.HtmlGraphicImageTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  HtmlGraphicImageTag

public abstract class HtmlGraphicImageTagBase
extends HtmlComponentTagBase

Version:
  $Revision: 264053 $ $Date: 2005-08-29 00:04:50 -0400 (Mon, 29 Aug 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $), Martin Marinschek

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlGraphicImageTagBase()`

Method Summary
`void` `release()`
`void` `setAlt(java.lang.String alt)`
`void` `setHeight(java.lang.String height)`
`void` `setIsmap(java.lang.String ismap)`
`void` `setLongdesc(java.lang.String longdesc)`
`void` `setOnblur(java.lang.String onblur)`
`void` `setOnchange(java.lang.String onchange)`
`void` `setOnfocus(java.lang.String onfocus)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setUrl(java.lang.String url)`
`void` `setUsemap(java.lang.String usemap)`
`void` `setWidth(java.lang.String width)`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getComponentType, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, getRendererType, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlGraphicImageTagBase

    public HtmlGraphicImageTagBase()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlComponentTagBase`

### setAlt

    public void setAlt(java.lang.String alt)

### setHeight

    public void setHeight(java.lang.String height)

### setIsmap

    public void setIsmap(java.lang.String ismap)

### setLongdesc

    public void setLongdesc(java.lang.String longdesc)

### setOnblur

    public void setOnblur(java.lang.String onblur)

### setOnchange

    public void setOnchange(java.lang.String onchange)

### setOnfocus

    public void setOnfocus(java.lang.String onfocus)

### setUsemap

    public void setUsemap(java.lang.String usemap)

### setWidth

    public void setWidth(java.lang.String width)

### setUrl

    public void setUrl(java.lang.String url)